"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const event = require("../../../constants/event.js");
const types = require("../../../utils/types.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const index$1 = require("../../../hooks/use-size/index.js");
const index = require("../../../hooks/use-aria/index.js");
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const defaultProps = {
  label: "label",
  value: "value",
  disabled: "disabled"
};
runtime.buildProps({
  direction: {
    type: runtime.definePropType(String),
    default: "horizontal"
  },
  options: {
    type: runtime.definePropType(Array),
    default: () => []
  },
  modelValue: {
    type: [
      String,
      Number,
      Boolean
    ],
    default: void 0
  },
  props: {
    type: runtime.definePropType(Object),
    default: () => defaultProps
  },
  block: Boolean,
  size: index$1.useSizeProp,
  disabled: {
    type: Boolean,
    default: void 0
  },
  validateEvent: {
    type: Boolean,
    default: true
  },
  id: String,
  name: String,
  ...index.useAriaProps(["ariaLabel"])
});
const segmentedEmits = {
  [event.UPDATE_MODEL_EVENT]: (val) => shared_esmBundler.isString(val) || types.isNumber(val) || types.isBoolean(val),
  [event.CHANGE_EVENT]: (val) => shared_esmBundler.isString(val) || types.isNumber(val) || types.isBoolean(val)
};
exports.defaultProps = defaultProps;
exports.segmentedEmits = segmentedEmits;
